Bug 801778 - nfs: nfs-disbale on/off does not work properly
nfs: nfs-disbale on/off does not work properly
Status: CLOSED WORKSFORME
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
pre-release
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Rajesh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-09 08:37 EST by Saurabh
Modified: 2016-01-19 01:09 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-27 03:38:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Saurabh 2012-03-09 08:37:57 EST
Description of problem:

set the volume option nfs.disable "on"
on client showmount -e does not list the volume(expected)
set the volume options nfs.disable "off"
on client showmount -e still does not list the volume(expected)


Version-Release number of selected component (if applicable):
3.3.0qa26


How reproducible:
always

Steps to Reproduce:
1.set the options nfs.disable on
2.on client showmount -e <ip-of -server>
3.set the options nfs.disable off
  
Actual results:
the showmount -e <ip-of-server> does not list the volume

Expected results:

it should list the volume

Additional info:
presetnly after using the volume reset options also the volume info says this,

 
Volume Name: dist-rep
Type: Distributed-Replicate
Volume ID: 2d720cdb-f5b6-411a-bf58-8e673be4aa38
Status: Started
Number of Bricks: 2 x 2 = 4
Transport-type: tcp
Bricks:
Brick1: 10.1.11.160:/export-xfs/dr
Brick2: 10.1.11.158:/export-xfs/drr
Brick3: 10.1.11.159:/export-xfs/ddr
Brick4: 10.1.11.157:/export-xfs/ddrr
Options Reconfigured:
features.quota: off
[root@RHEL6 locks]# 


but the client reports,

[root@RHSSA1 nfs-regression]# showmount -e 10.1.11.160
Export list for 10.1.11.160:


whereas for another node in the same cluster,

[root@RHSSA1 nfs-regression]# showmount -e 10.1.11.159
Export list for 10.1.11.159:
/quota_dist_rep *

the volume info for quota_dist_rep is this,
Volume Name: quota_dist_rep
Type: Distributed-Replicate
Volume ID: 95253ee6-3b92-4adf-9f0e-c9cf0b9b7b5e
Status: Started
Number of Bricks: 2 x 2 = 4
Transport-type: tcp
Bricks:
Brick1: 10.1.11.159:/export-xfs/quota_dist_rep.1331200944
Brick2: 10.1.11.160:/export-xfs/quota_dist_rep.1331200944
Brick3: 10.1.11.159:/export-xfs/quota_dist_rep.1331200947
Brick4: 10.1.11.160:/export-xfs/quota_dist_rep.1331200947
Options Reconfigured:
features.quota: on
features.limit-usage: /:3MB,/d0:200KB,/d0/dd0:100KB,/d0/dd1:100KB,/d0/dd2:100KB,/d1:200KB,/d1/dd0:100KB,/d1/dd1:100KB,/d1/dd2:100KB
Comment 1 Rajesh 2012-03-27 03:38:22 EDT
tried it in the latest git head. works fine

Note You need to log in before you can comment on or make changes to this bug.